html {
  scroll-behavior: smooth;
}

.class_loading_label {
  position: fixed;
  top: 0;
  right: 16%;
  z-index: 1000;
  height: 50px;
}

td.highlight {
  background-color: whitesmoke !important;
}

table.dataTable thead th {
  border-bottom: 1px solid #eac60e;
}
table.dataTable.no-footer {
  border-bottom: 1px solid #eac60e;
}

.noborderheadertable.dataTable thead th {
  border-bottom: 0px solid #eac60e;
}

.padremadre_showlink:hover {
  text-decoration: underline !important;
  cursor: pointer !important;
}

.a_showlink:hover {
  text-decoration: underline !important;
  cursor: pointer !important;
}

.a_showhand:hover {
  cursor: pointer !important;
}

.hidden {
  display: none;
}

@media (min-width: 992px) {
  .help_videos {
    width: 850px;
    height: 749px;
    margin-top: -100px;
    margin-bottom: -100px;
  }
}

@media (max-width: 991px) {
  .help_videos {
    width: 550px;
    height: 485px;
    margin-top: -80px;
    margin-bottom: -80px;
  }
}

@media (max-width: 640px) {
  .help_videos {
    width: 300px;
    height: 264px;
    margin-top: -30px;
    margin-bottom: -50px;
  }
}

.cr-boundary {
  border: 2px solid black;
}

.active_group {
  background: #ff7f00;
  color: white;
}

.active_category {
  background: #ff7f00;
  color: white;
  border: 2px solid white;
}

.group_card {
  margin: 0px !important;
  width: 120px;
}

.group_card > .card-body {
  padding: 10px 10px 10px 10px;
}

.category_card {
  margin: 0px !important;
  width: 120px;
}

.category_card > .card-body {
  padding: 10px 10px 10px 10px;
}

.current_order_group {
  border: 1px solid #ff7f00;
  border-radius: 10px;
  margin: 0.8rem 0;
  overflow: hidden;
}

.title_order_group {
  border-bottom: 1px solid #ff7f00;
  padding-left: 10px;
  padding-right: 10px;
  background-color: #ff7f0047;
}

.cls_hidden {
  display: none !important;
}

.col_orders_1 {
  width: 70%;
}
.col_orders_2 {
  width: 10%;
}
.col_orders_3 {
  width: 20%;
}

.col_pedidos_1 {
  width: 10%;
}

.col_pedidos_2 {
  width: 70%;
}

.col_pedidos_3 {
  width: 10%;
}

.col_pedidos_4 {
  width: 10%;
}

.col_pedidos_1,
.col_pedidos_4,
.col_tpedidos_1,
.col_tpedidos_3,
.col_tpedidos_4,
.col_tpedidos_5 {
  text-align: center;
}

.col_tpedidos_1 {
  width: 10%;
}

.col_tpedidos_2 {
  width: 60%;
}

.col_tpedidos_3 {
  width: 10%;
}

.col_tpedidos_4 {
  width: 10%;
}

.col_tpedidos_5 {
  width: 10%;
}

.row_orders {
  width: 100%;
  font-size: 16px;
}

.order-footer {
  font-size: 16px;
  font-weight: bold;
}

.header_type_1 {
  background: #f8dda9 !important;
}

.header_type_2 {
  background: #f8dda9 !important;
}

.header_type_3 {
  background: #bdcb60 !important;
}

.header_type_4 {
  background: #fcb6d0 !important;
}

.header_type_5 {
  background: #534e95 !important;
}

.comment_li {
  color: red !important;
}

.delete_dish_button {
  height: 23px;
  padding: 0px;
  width: 23px;
}

.delete_dish_icon {
  font-size: 12px;
  line-height: 1px;
  margin: 0px;
  padding: 5px;
}

.mark_sent_button {
  float: right !important;
}

.range_less {
  font-size: 20px;
}

.range_hour {
  display: inline-block;
  width: 130px;
  font-size: 20px;
}

.range_add {
  font-size: 25px;
  margin-left: 10px;
  color: #ff7f00;
}

/*RESPONSIVE*/

@media (max-width: 640px) {
  #admin_comandero #mesas_zone .card .card-body button {
    padding: 3px;
  }
  #admin_comandero .card.col {
    min-width: 50%;
  }
}

@media all and (orientation: landscape) {
  #mobile_fixed_action {
    display: none;
  }
}

@media all and (orientation: portrait) {
  #landscape_fixed_action {
    display: none;
  }
}

@keyframes focusbig {
  from {
    position: relative;
    top: -50vh;
    width: 200px;
    height: 200px;
    font-size: 120px;
  }
  to {
    position: relative;
    width: 20px;
    height: 20px;
    font-size: 75%;
    top: -5px;
  }
}

.animated_number {
  animation-name: focusbig;
  animation-duration: 0.5s;
  animation-iteration-count: 1;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

.border_active {
  border: 5px solid #ff7f00;
}

.visualization_mode_img {
  width: 100%;
}

#rest_selector_div {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

#id_lang_flags_container a img {
  margin-bottom: 10px;
}

.analytics_card_header {
  position: relative;
  width: 100%;
  justify-content: space-between;
}

.analytics_card_title {
  font-weight: bold;
}

.analytics_card_section_title {
  font-weight: bold;
  text-align: center;
  margin: 0;
  padding: 0.5rem 0;
  cursor: pointer;
}

.analytics_card_body {
  gap: 1rem;
  display: flex;
  flex-direction: column;
}

.dish_info {
  display: flex;
  flex-direction: column;
  line-height: 1rem;
  padding: 0.2rem 0;
}

.dish_category {
  color: #ff7043;
  font-size: 75%;
}

.chart_general_data {
  display: flex;
  justify-content: space-evenly;
}

.top_dishes_img_container {
  border: solid #ff8024;
  border-radius: 25%;
  overflow: hidden;
}

.top_dishes_img_container img {
  width: 100%;
  aspect-ratio: 1;
  object-fit: cover;
}

.dish_div {
  padding: 1rem;
  gap: 0.5rem;
  display: flex;
  flex-direction: column;
}

.top_dishes_info_container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.top_dishes_total {
  font-weight: bold;
  margin: 0;
}

.top_dishes_category {
  color: grey;
}

.top_dishes_name {
  font-weight: bold;
}

.flush-commander {
  background: #f55;
}

.category_card .card-body {
  text-align: center;
  text-transform: uppercase;
}

img {
  object-fit: cover;
  object-position: center;
}

#id_img_profile_corner {
  aspect-ratio: 1;
}

/* COMANDERO TABLE CARDS */
.table_card_img {
  width: 100%;
  aspect-ratio: 1;
  background-size: cover;
  background-position: center;
}

.table_card_img_text {
  align-self: flex-end;
  width: 100%;
  text-align: center;
  padding: 0.5rem 0;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  font-size: 1rem;
  font-weight: bold;
  text-shadow: 0px 0px 15px black;
}
/* end COMANDERO TABLE CARDS */

/* COMANDERO MENU_ITEMS */
.menu_item_card {
  padding: 0.5rem;
}

.menu_item_card:hover {
  filter: drop-shadow(0px 0px 5px gray);
  scale: 1.03;
  z-index: 1000;
}

.menu_item_img {
  aspect-ratio: 1;
  width: 100%;
  object-fit: contain;
}

.menu_item_body {
  padding: 0.5rem;
}

.menu_item_name {
  font-weight: bold;
  display: block;
  text-align: center;
  display: block;
  text-align: center;
  text-transform: uppercase;
}
/* end COMANDERO MENU_ITEMS */

/* PROFILE */
#user_image {
  border: solid 2px rgba(255, 255, 255, 0.85);
}
/* end PROFILE */

/* COMANDERO - TABLE SERVICE */
#table_service_modal .modal-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

#table_service_dish_name {
  margin: 0;
  font-weight: bold;
}

#table_service_dish_image_container {
  width: 60%;
  aspect-ratio: 1;
}

#table_service_dish_image {
  width: 100%;
  aspect-ratio: 1;
  object-position: center;
  object-fit: cover;
}

#table_service_amount_buttons_container {
  display: flex;
  align-items: center;
}

#table_service_dish_amount {
  width: 3rem;
  text-align: center;
  font-size: 1.5rem;
}

.amount_button {
  height: 3rem;
  aspect-ratio: 1;
}
/* end COMANDERO - TABLE SERVICE */

.comandero-time-icon-a {
  color: black;
  font-size: 8px;
  position: relative;
  left: -25px;
  top: 12px;
}

.comandero_line_price {
  width: 60px !important;
  padding-left: 2px !important;
  padding-right: 2px !important;
  display: inline !important;
}

.comandero-line-units-span {
  font-size: 1.2em !important;
  position: relative !important;
  bottom: 5px !important;
}

.comandero-line-name-span {
  font-size: 1.5em !important;
  font-weight: bold !important;
  position: relative !important;
  bottom: 15px !important;
  display: block !important;
}

@keyframes parpadeo {
  0% {
    background-color: transparent;
  }
  50% {
    background-color: #faa;
  }
  100% {
    background-color: transparent;
  }
}

.parpadeando {
  animation: parpadeo 1s infinite;
}


#image-with-text {
  position: relative;
}

#content-overlay {
  position: absolute;
  top: 50px;
  left: 25px;
  font-size: 17px;
  background: rgb(0 0 0 / 0%);
  padding: 10px;
  text-align: right;
  max-width: 200px;
}

.normal-option {
  color: black;
}

/* Estilos para las opciones especiales (cambiar color) */
.highlight-option {
  color: red;
}

.titled_input {
  display: flex;
  gap: 1rem;
}

.titled_input *{
  min-width: fit-content;
  margin: 0;
  align-self: center;
}

.order_card:hover .edit_order_button{
  display: inline-block;
}

.edit_order_button {
  display: none;
  position: absolute;
  top: 0.5rem;
  right: 0.5rem;
  cursor: pointer;
  z-index: 1;
}

.edit_order_button:hover {
  color: #FF7043;
}

.header_input {
  padding: 0.5rem;
}

.restaurant_form_header {
  text-align: center;
  font-weight: bold;
  margin-bottom: 2rem;
  text-decoration: underline;
}